Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
preset_detail = client.cdn.presets.get(
0,
)
print(preset_detail.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
presetDetail, err := client.CDN.Presets.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", presetDetail.ID)
}
curl --request GET \
--url https://api.gcore.com/cdn/presets/{preset_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/presets/{preset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 42,
"name": "Static content acceleration",
"service": "cdn",
"object_type": "CDNResource",
"preset_settings": {
"options": {
"browser_cache_settings": {
"enabled": true,
"value": "3600s"
},
"gzipOn": {
"enabled": true,
"value": true
}
}
}
}Presets
Get preset details
Get information about a preset.
GET
/
cdn
/
presets
/
{preset_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
preset_detail = client.cdn.presets.get(
0,
)
print(preset_detail.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
presetDetail, err := client.CDN.Presets.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", presetDetail.ID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Preset ID.
Response
Successful.
Preset ID.
Example:
42
Preset name.
Example:
"Static content acceleration"
Service the preset belongs to.
Available options:
cdn Example:
"cdn"
Type of object the preset can be applied to.
Possible values:
- CDNResource - Preset is applied to a CDN resource.
- Rule - Preset is applied to a rule.
Available options:
CDNResource, Rule Example:
"CDNResource"
CDN resource or rule settings that the preset applies to the target object, including the options object.
The available keys match the writable fields of the object type the preset targets (object_type).
Options included in the preset cannot be edited on the object while the preset is applied.
Example:
{ "options": { "browser_cache_settings": { "enabled": true, "value": "3600s" }, "gzipOn": { "enabled": true, "value": true } } }
Was this page helpful?